xquery version "3.1";

declare namespace tei = "http://www.tei-c.org/ns/1.0";

import module namespace config="https://sade.textgrid.de/ns/config" at "../modules/config.xqm";
import module namespace functx="http://www.functx.com";
import module namespace ifweb="http://bdn-edition.de/if/ifweb" at "../modules/if/ifweb.xqm";
import module namespace bdn-utils="http://bdn-edition.de/ns/utils" at "../modules/bdn/utils.xqm";


declare option exist:serialize "method=xml media-type=text/xml omit-xml-declaration=no indent=no";

declare variable $resource-uri := request:get-parameter("resource", ());

ifweb:transform(
  bdn-utils:doc($resource-uri),
  functx:substring-after-last-match($resource-uri, '/'),
  $config:if
)
