xquery version "3.1";

declare namespace sm="http://exist-db.org/xquery/securitymanager";

(: the target collection into which the app is deployed :)
declare variable $target external;

if (repo:get-resource("http://bdn-edition.de/ns/bdn", "repo.xml") => exists())
then util:log("info", "Package successfully deployed.")
else util:log("error", "Package not successfully deployed."),
sm:chmod(xs:anyURI($target || "/xq/publish.xq"), "rwsr-xr-x"),
util:log("info", "Publish XQ file mode: " || sm:get-permissions(xs:anyURI($target || "/xq/publish.xq"))//@mode/string()),
sm:chmod(xs:anyURI($target || "/xq/if.xq"), "rwsr-xr-x"),
util:log("info", "Interformat XQ file mode: " || sm:get-permissions(xs:anyURI($target || "/xq/if.xq"))//@mode/string())
